This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819593 - RFE: Redirect /subscriptions/* to /katello/api/*
RFE: Redirect /subscriptions/* to /katello/api/*
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Hayk Hovsepyan
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 12:16 EDT by Devan Goodwin
Modified: 2013-03-27 16:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Subscription Manager will allow users to specify a hostname for an on-site subscription service. However, various servers use different prefixes for the web application, which might confuse the user. This enhancement standardizes the various server prefixes to "/subscription". This change unifies all servers to use the "/subscription" prefix.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:45:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2012-05-07 12:16:35 EDT
Description of problem:

Subscription Manager is being updated to allow the user to specify a hostname for an on-site subscription service to register against. However the various servers all use different prefixes for the web application, which the user is not likely to know. (i.e. /subscription, /katello/api, /headpin/api) 

We would like to standardize on /subscription being the definitive web app prefix across all our products that subscription manager hits.


Ivan's proposed solution is via apache configuration: https://www.redhat.com/archives/katello-devel/2012-May/msg00028.html
Comment 1 Lukas Zapletal 2012-05-09 16:24:34 EDT
So is my understanding correct; rhsm will ship with /subscription by default.

We should still change the prefix for old clients, right?
Comment 2 Devan Goodwin 2012-05-10 11:19:49 EDT
Any properly configured old client should still be fine, as the previous API URL would still exist. The new redirect would be a default for all new clients, but again can be configured in the rhsm.conf file, or using the new gui/cli tools for selecting a server, port, and webapp prefix.
Comment 4 Miroslav Suchý 2012-09-06 05:29:42 EDT
https://github.com/Katello/katello/pull/595
Comment 6 Devan Goodwin 2012-10-03 11:38:57 EDT
Can be tested by using rhsm.conf prefix of /subscriptions.

i.e. register with subscription-manager-gui, specify the katello server by IP or hostname only (it will default to /subscriptions) Or specify katellohostname:port/subscriptions

registration should work, system should appear in katello.
Comment 7 Devan Goodwin 2012-10-03 11:41:51 EDT
Mistake in my previous comment and the title of this but, it's "subscription", not the plural "subscriptions".
Comment 8 Hayk Hovsepyan 2012-10-04 08:29:52 EDT
Verified in revision:
katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch

Server prefix "/subscription" works OK and it registers system.
Comment 10 errata-xmlrpc 2012-12-04 14:45:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.